Bug 216450 - Crash in a11y code
Crash in a11y code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 11:18 EST by Dave Malcolm
Modified: 2008-05-06 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:52:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-11-20 11:18:32 EST
Description of problem:
I'm running FC6 with accessibility enabled (but SELinux enforcing off).  I see
occasional crashes in setroubleshoot, trapped by bug-buddy.  

RPM Versions:
setroubleshoot-1.0-1
gnome-python2-gtkhtml2-2.14.2-5.fc6
gtkhtml2-2.11.0-3
ORBit2-2.14.3-3.fc6
atk-1.12.2-1.fc6

Here's the output: 
System: Linux 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:54:20 EDT 2006 i686
X Vendor: The X.Org Foundation
X Vendor Release: 70101000
Selinux: Permissive
Accessibility: Enabled
----------- .xsession-errors (391542 sec old) ---------------------
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`de'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`ro'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`fr'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`el'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`sv'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`ca'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`lt'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`ko'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`lv'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`id'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`ru'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`vi'
Uninstalled schema `/schemas/desktop/gnome/url-handlers/man/command' from locale
`es'
...Too much output, ignoring rest...
--------------------------------------------------

Memory status: size: 179326976 vsize: 0 resident: 179326976 share: 0 rss:
58044416 rss_rlim: 0
CPU usage: start_time: 1163527603 rtime: 0 utime: 85205 stime: 0 cutime:79096
cstime: 0 timeout: 6109 it_real_value: 0 frequency: 0

Backtrace was generated from '/usr/libexec/setroubleshoot browser'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208445248 (LWP 2518)]
0x00735402 in __kernel_vsyscall ()
#0  0x00735402 in __kernel_vsyscall ()
#1  0x00c9dc93 in ?? () from /lib/libpthread.so.0
#2  0x00d84cf6 in libgnomeui_segv_handle (signum=6) at gnome-ui-init.c:870
#3  <signal handler called>
#4  0x00735402 in __kernel_vsyscall ()
#5  0x00b47d40 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00b49591 in *__GI_abort () at abort.c:88
#7  0x00278c92 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x2a3520 "file %s: line %d (%s): assertion failed: (%s)", 
    args1=0xbfa4794c "ö§\006\004\225") at gmessages.c:497
#8  0x00278cc9 in IA__g_log (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR, 
    format=0x2a3520 "file %s: line %d (%s): assertion failed: (%s)")
    at gmessages.c:517
#9  0x00278d46 in IA__g_assert_warning (log_domain=0x0, 
    file=0x406a7f6 "orbit-object.c", line=149, 
    pretty_function=0x406a805 "do_unref", 
    expression=0x406a7c4 "robj->refs < ORBIT_REFCOUNT_MAX && robj->refs > 0")
    at gmessages.c:552
#10 0x04047190 in ORBit_RootObject_duplicate_T ()
   from /usr/lib/libORBit-2.so.0
#11 0x0404ce35 in CORBA_free () from /usr/lib/libORBit-2.so.0
#12 0x0404cf08 in CORBA_free () from /usr/lib/libORBit-2.so.0
#13 0x0404cbf3 in ORBit_free_T () from /usr/lib/libORBit-2.so.0
#14 0x0404cc81 in ORBit_free () from /usr/lib/libORBit-2.so.0
#15 0x0404cced in CORBA_free () from /usr/lib/libORBit-2.so.0
#16 0x00d2883d in spi_atk_emit_eventv (gobject=0xd13ec50, detail1=1, 
    detail2=0, any=0x0, format=0xe50cae0 "object:state-changed:defunct")
    at bridge.c:698
#17 0x00d295cc in spi_atk_bridge_state_event_listener (
    signal_hint=0xbfa47bbc, n_param_values=3, param_values=0xbfa47cac, 
    data=0x9d2df90) at bridge.c:879
#18 0x002fcc5e in signal_emit_unlocked_R (node=0x9d26bf8, detail=2092, 
    instance=0xd13ec50, emission_return=0x0, instance_and_params=0xbfa47cac)
    at gsignal.c:2404
#19 0x002fe37f in IA__g_signal_emit_valist (instance=0xd13ec50, 
    signal_id=144, detail=2092, var_args=0xbfa47ef4 "") at gsignal.c:2197
#20 0x002fe539 in IA__g_signal_emit (instance=0xd13ec50, signal_id=144, 
    detail=2092) at gsignal.c:2241
#21 0x003bdb28 in atk_object_notify_state_change (accessible=0xd13ec50, 
    state=5, value=1) at atkobject.c:997
#22 0x003bc40d in atk_gobject_accessible_dispose (data=0xd13ec50)
    at atkgobjectaccessible.c:142
#23 0x002ed871 in weak_refs_notify (data=0xe46c020) at gobject.c:1458
#24 0x0025e3a7 in IA__g_datalist_id_set_data_full (datalist=0x9fd7c70, 
    key_id=436, data=0x0, destroy_func=0) at gdataset.c:242
#25 0x002edf59 in g_object_real_dispose (object=0x9fd7c68) at gobject.c:531
#26 0x002ee1ab in IA__g_object_unref (_object=0x9fd7c68) at gobject.c:1757
#27 0x0125ca38 in html_view_find_layout_box () from /usr/lib/libgtkhtml-2.so.0
#28 0x002f8769 in IA__g_cclosure_marshal_VOID__OBJECT (closure=0x9e79ca0, 
    return_value=0x0, n_param_values=2, param_values=0xbfa4823c, 
    invocation_hint=0xbfa4814c, marshal_data=0x125c9a0) at gmarshal.c:636
#29 0x002ebf0b in IA__g_closure_invoke (closure=0x9e79ca0, return_value=0x0, 
    n_param_values=2, param_values=0xbfa4823c, invocation_hint=0xbfa4814c)
    at gclosure.c:490
#30 0x002fce83 in signal_emit_unlocked_R (node=0x9e78c38, detail=0, 
    instance=0x9e6d890, emission_return=0x0, instance_and_params=0xbfa4823c)
    at gsignal.c:2438
#31 0x002fe37f in IA__g_signal_emit_valist (instance=0x9e6d890, 
    signal_id=296, detail=0, var_args=0xbfa48480 "à{÷·¸Æ7\016")
    at gsignal.c:2197
#32 0x002fe539 in IA__g_signal_emit (instance=0x9e6d890, signal_id=296, 
    detail=0) at gsignal.c:2241
#33 0x0122f28b in html_document_clear () from /usr/lib/libgtkhtml-2.so.0
#34 0x0077dc91 in initgtkhtml2 ()
   from /usr/lib/python2.4/site-packages/gtk-2.0/gtkhtml2.so
#35 0x046d683a in ?? ()
#36 0xb79fea2c in ?? ()
#37 0x00000000 in ?? ()

Thread 1 (Thread -1208445248 (LWP 2518)):
#0  0x00735402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00c9dc93 in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x00d84cf6 in libgnomeui_segv_handle (signum=6) at gnome-ui-init.c:870
	estatus = -1079742388
	sa = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {73993474, 242791008, 0, 73993339, 73923534, 243399480, 
      0, 3215224808, 74056308, 243399096, 3215224840, 3080758572, 74733796, 
      181506228, 3086449452, 74763104, 73927959, 6, 3, 0, 74733796, 74757024, 
      0, 3215224872, 74442101, 28, 73927872, 3215224920, 74056052, 74733796, 
      74757024, 3215224904}}, sa_flags = 74442421, sa_restorer = 0x10}
	pid = 0
	in_segv = 1
#3  <signal handler called>
No symbol table info available.
#4  0x00735402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00b47d40 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
	resultvar = <value optimized out>
	pid = 12943348
	selftid = 2518
#6  0x00b49591 in *__GI_abort () at abort.c:88
	act = {__sigaction_handler = {sa_handler = 0x3fae3c8, 
    sa_sigaction = 0x3fae3c8}, sa_mask = {__val = {1, 3215225736, 66764293, 
      3, 3024744, 3215225816, 2653250, 162994112, 12943348, 12947744, 
      238395320, 3215225816, 12092752, 12947744, 238395320, 162994256, 1, 
      12076801, 238395312, 8, 16, 3215225848, 3024744, 238395320, 238395320, 
      3215225848, 120, 120, 12848540, 138, 3024744, 3024744}}, 
  sa_flags = 178607568, sa_restorer = 0xbfa47488}
	sigs = {__val = {32, 0 <repeats 31 times>}}
#7  0x00278c92 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x2a3520 "file %s: line %d (%s): assertion failed: (%s)", 
    args1=0xbfa4794c "ö§\006\004\225") at gmessages.c:497
	depth = <value optimized out>
	domain = (GLogDomain *) 0x0
	data = (gpointer) 0x0
	log_func = (GLogFunc) 0x2795a0 <IA__g_log_default_handler>
	domain_fatal_mask = 5
	test_level = <value optimized out>
	was_recursion = 0
	i = <value optimized out>
#8  0x00278cc9 in IA__g_log (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR, 
    format=0x2a3520 "file %s: line %d (%s): assertion failed: (%s)")
    at gmessages.c:517
	args = 0xbfa4794c "ö§\006\004\225"
#9  0x00278d46 in IA__g_assert_warning (log_domain=0x0, 
    file=0x406a7f6 "orbit-object.c", line=149, 
    pretty_function=0x406a805 "do_unref", 
    expression=0x406a7c4 "robj->refs < ORBIT_REFCOUNT_MAX && robj->refs > 0")
    at gmessages.c:552
No locals.
#10 0x04047190 in ORBit_RootObject_duplicate_T ()
   from /usr/lib/libORBit-2.so.0
No symbol table info available.
#11 0x0404ce35 in CORBA_free () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#12 0x0404cf08 in CORBA_free () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#13 0x0404cbf3 in ORBit_free_T () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#14 0x0404cc81 in ORBit_free () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#15 0x0404cced in CORBA_free () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#16 0x00d2883d in spi_atk_emit_eventv (gobject=0xd13ec50, detail1=1, 
    detail2=0, any=0x0, format=0xe50cae0 "object:state-changed:defunct")
    at bridge.c:698
	args = 0xbfa47ae4 "ð¿F\016Pì\023\rt\0262"
	e = {type = 0xe50cb08 "ð\230ö\rct:state-changed:defunct", 
  source = 0xe3026e0, detail1 = 1, detail2 = 0, any_data = {
    _type = 0x74e17a0, _value = 0xe46c0a4, _release = 1 '\001'}}
	aobject = <value optimized out>
	source = (SpiAccessible *) 0xe572980
	registry = <value optimized out>
#17 0x00d295cc in spi_atk_bridge_state_event_listener (
    signal_hint=0xbfa47bbc, n_param_values=3, param_values=0xbfa47cac, 
    data=0x9d2df90) at bridge.c:879
No locals.
#18 0x002fcc5e in signal_emit_unlocked_R (node=0x9d26bf8, detail=2092, 
    instance=0xd13ec50, emission_return=0x0, instance_and_params=0xbfa47cac)
    at gsignal.c:2404
	hook = (GHook *) 0x9d27a50
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0xbfa48144, instance = 0xd13ec50, ihint = {
    signal_id = 144, detail = 2092, run_type = G_SIGNAL_RUN_FIRST}, 
  state = EMISSION_HOOK, chain_type = 4}
	class_closure = (GClosure *) 0x9d26b20
	handler_list = (Handler *) 0x0
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 144
	max_sequential_handler_number = 4254
	return_value_altered = 0
#19 0x002fe37f in IA__g_signal_emit_valist (instance=0xd13ec50, 
    signal_id=144, detail=2092, var_args=0xbfa47ef4 "") at gsignal.c:2197
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = 3282548, v_long = 3282548, 
    v_int64 = 695953545709622900, v_double = 3.8940314535453535e-262, 
    v_pointer = 0x321674}, {v_int = 162039312, v_long = 162039312, 
    v_int64 = -4637442387383646704, v_double = -0.04002928846263043, 
    v_pointer = 0x9a88610}, {v_int = 3188895, v_long = 3188895, 
    v_int64 = 14107146504415391, v_double = 1.0078834926666684e-307, 
    v_pointer = 0x30a89f}, {v_int = 2518, v_long = 2518, 
    v_int64 = 56720441917573590, v_double = 7.2659134972471155e-305, 
    v_pointer = 0x9d6}, {v_int = 520, v_long = 520, 
    v_int64 = 56739043420930568, v_double = 7.2847353622474272e-305, 
    v_pointer = 0x208}, {v_int = 2518, v_long = 2518, 
    v_int64 = 51869465335302614, v_double = 3.457210680580528e-305, 
    v_pointer = 0x9d6}, {v_int = 1, v_long = 1, v_int64 = 56739043420930049, 
    v_double = 7.2847353622469021e-305, v_pointer = 0x1}, {v_int = 3024744, 
    v_long = 3024744, v_int64 = 56720441920595816, 
    v_double = 7.2659135003051441e-305, v_pointer = 0x2e2768}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 2673764, data = {{v_int = 194889600, 
      v_uint = 194889600, v_long = 194889600, v_ulong = 194889600, 
      v_int64 = 17060374798780288, v_uint64 = 17060374798780288, 
      v_float = 6.07743745e-32, v_double = 1.5915189504954827e-307, 
      v_pointer = 0xb9dc780}, {v_int = 13206257, v_uint = 13206257, 
      v_long = 13206257, v_ulong = 13206257, v_int64 = 68732682993, 
      v_uint64 = 68732682993, v_float = 1.85059077e-38, 
      v_double = 3.3958457413338208e-313, v_pointer = 0xc982f1}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0xbfa47cac
	stack_values = {{g_type = 166175632, data = {{v_int = 219409488, 
        v_uint = 219409488, v_long = 219409488, v_ulong = 219409488, 
        v_int64 = 219409488, v_uint64 = 219409488, v_float = 4.55823231e-31, 
        v_double = 1.0840269039241723e-315, v_pointer = 0xd13ec50}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 64, data = {{v_int = 239517664, v_uint = 239517664, 
        v_long = 239517664, v_ulong = 239517664, v_int64 = 239517664, 
        v_uint64 = 239517664, v_float = 2.44977687e-30, 
        v_double = 1.1833744935454669e-315, v_pointer = 0xe46bfe0}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 20, data = {{v_int = 1, v_uint = 1, v_long = 1, v_ulong = 1, 
        v_int64 = 1, v_uint64 = 1, v_float = 1.40129846e-45, 
        v_double = 4.9406564584124654e-324, v_pointer = 0x1}, {v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
        v_float = 0, v_double = 0, v_pointer = 0x0}}}, {g_type = 3215228184, 
    data = {{v_int = 74056171, v_uint = 74056171, v_long = 74056171, 
        v_ulong = 74056171, v_int64 = 1021899988263371243, 
        v_uint64 = 1021899988263371243, v_float = 2.75074485e-36, 
        v_double = 2.2883923675139601e-240, v_pointer = 0x46a01eb}, {
        v_int = -4, v_uint = 4294967292, v_long = -4, v_ulong = 4294967292, 
        v_int64 = -4637444169957113860, v_uint64 = 13809299903752437756, 
        v_float = -nan(0x7ffffc), v_double = -0.040016919374465915, 
        v_pointer = 0xfffffffc}}}, {g_type = 73993474, data = {{
        v_int = 240481000, v_uint = 240481000, v_long = 240481000, 
        v_ulong = 240481000, v_int64 = 240481000, v_uint64 = 240481000, 
        v_float = 2.63096023e-30, v_double = 1.1881340057754881e-315, 
        v_pointer = 0xe5572e8}, {v_int = 24, v_uint = 24, v_long = 24, 
        v_ulong = 24, v_int64 = 55610188576587800, 
        v_uint64 = 55610188576587800, v_float = 3.36311631e-44, 
        v_double = 6.1425076036938692e-305, v_pointer = 0x18}}}, {
    g_type = 237930016, data = {{v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = -4637444036813127680, 
        v_uint64 = 13809300036896423936, v_float = 0, 
        v_double = -0.040017843246459961, v_pointer = 0x0}, {
        v_int = 74056308, v_uint = 74056308, v_long = 74056308, 
        v_ulong = 74056308, v_int64 = 1021899988263371380, 
        v_uint64 = 1021899988263371380, v_float = 2.75076942e-36, 
        v_double = 2.2883923675139966e-240, v_pointer = 0x46a0274}}}, {
    g_type = 3215228248, data = {{v_int = -1214206516, v_uint = 3080760780, 
        v_long = -1214206516, v_ulong = 3080760780, 
        v_int64 = 320979212806696396, v_uint64 = 320979212806696396, 
        v_float = -1.91544168e-05, v_double = 3.340639807015377e-287, 
        v_pointer = 0xb7a0adcc}, {v_int = 171477300, v_uint = 171477300, 
        v_long = 171477300, v_ulong = 171477300, 
        v_int64 = -5190544616440952524, v_uint64 = 13256199457268599092, 
        v_float = 8.88508278e-33, v_double = -4.3128044215159352e-39, 
        v_pointer = 0xa388934}}}, {g_type = 12076801, data = {{
        v_int = 73927959, v_uint = 73927959, v_long = 73927959, 
        v_ulong = 73927959, v_int64 = 25843731735, v_uint64 = 25843731735, 
        v_float = 2.72774795e-36, v_double = 1.2768500010600694e-313, 
        v_pointer = 0x4680d17}, {v_int = 3, v_uint = 3, v_long = 3, 
        v_ulong = 3, v_int64 = 56720441917571075, 
        v_uint64 = 56720441917571075, v_float = 4.20389539e-45, 
        v_double = 7.2659134972445707e-305, v_pointer = 0x3}}}, {
    g_type = 74733796, data = {{v_int = 74757024, v_uint = 74757024, 
        v_long = 74757024, v_ulong = 74757024, v_int64 = 10814802408352, 
        v_uint64 = 10814802408352, v_float = 2.87645419e-36, 
        v_double = 5.3432223365278994e-311, v_pointer = 0x474b3a0}, {
        v_int = 13206257, v_uint = 13206257, v_long = 13206257, 
        v_ulong = 13206257, v_int64 = 584128758513, v_uint64 = 584128758513, 
        v_float = 1.85059077e-38, v_double = 2.8859795232917089e-312, 
        v_pointer = 0xc982f1}}}, {g_type = 13210588, data = {{v_int = 2518, 
        v_uint = 2518, v_long = 2518, v_ulong = 2518, 
        v_int64 = 56720441917573590, v_uint64 = 56720441917573590, 
        v_float = 3.52846953e-42, v_double = 7.2659134972471155e-305, 
        v_pointer = 0x9d6}, {v_int = 1, v_uint = 1, v_long = 1, v_ulong = 1, 
        v_int64 = 56739043420930049, v_uint64 = 56739043420930049, 
        v_float = 1.40129846e-45, v_double = 7.2847353622469021e-305, 
        v_pointer = 0x1}}}, {g_type = 3024744, data = {{v_int = 13206257, 
        v_uint = 13206257, v_long = 13206257, v_ulong = 13206257, 
        v_int64 = 719850709394752241, v_uint64 = 719850709394752241, 
        v_float = 1.85059077e-38, v_double = 1.4950562542481055e-260, 
        v_pointer = 0xc982f1}, {v_int = -1079739000, v_uint = 3215228296, 
        v_long = -1079739000, v_ulong = 3215228296, v_int64 = 10817942879624, 
        v_uint64 = 10817942879624, v_float = -1.28508091, 
        v_double = 5.344773935495146e-311, v_pointer = 0xbfa47d88}}}, {
    g_type = 13206257, data = {{v_int = 2475926, v_uint = 2475926, 
        v_long = 2475926, v_ulong = 2475926, v_int64 = 56739043423405974, 
        v_uint64 = 56739043423405974, v_float = 3.4695113e-39, 
        v_double = 7.284735364752158e-305, v_pointer = 0x25c796}, {
        v_int = 2518, v_uint = 2518, v_long = 2518, v_ulong = 2518, 
        v_int64 = 56720441917573590, v_uint64 = 56720441917573590, 
        v_float = 3.52846953e-42, v_double = 7.2659134972471155e-305, 
        v_pointer = 0x9d6}}}, {g_type = 1, data = {{v_int = 13210588, 
        v_uint = 13210588, v_long = 13210588, v_ulong = 13210588, 
        v_int64 = 10814740861916, v_uint64 = 10814740861916, 
        v_float = 1.85119767e-38, v_double = 5.3431919285482479e-311, 
        v_pointer = 0xc993dc}, {v_int = 167586384, v_uint = 167586384, 
        v_long = 167586384, v_ulong = 167586384, v_int64 = 4462553680, 
        v_uint64 = 4462553680, v_float = 6.0947325e-33, 
        v_double = 2.2047944660104315e-314, v_pointer = 0x9fd2a50}}}, {
    g_type = 13210588, data = {{v_int = 3024744, v_uint = 3024744, 
        v_long = 3024744, v_ulong = 3024744, v_int64 = 14107146504251240, 
        v_uint64 = 14107146504251240, v_float = 4.23856912e-39, 
        v_double = 1.0078834926342278e-307, v_pointer = 0x2e2768}, {
        v_int = 1, v_uint = 1, v_long = 1, v_ulong = 1, 
        v_int64 = -4637443418337837055, v_uint64 = 13809300655371714561, 
        v_float = 1.40129846e-45, v_double = -0.040022134780883796, 
        v_pointer = 0x1}}}, {g_type = 3024744, data = {{v_int = 3284576, 
        v_uint = 3284576, v_long = 3284576, v_ulong = 3284576, 
        v_int64 = 56743321211641440, v_uint64 = 56743321211641440, 
        v_float = 4.6026713e-39, v_double = 7.2890638295607649e-305, 
        v_pointer = 0x321e60}, {v_int = -1079738920, v_uint = 3215228376, 
        v_long = -1079738920, v_ulong = 3215228376, 
        v_int64 = 56743393143061976, v_uint64 = 56743393143061976, 
        v_float = -1.28509045, v_double = 7.2891366131127513e-305, 
        v_pointer = 0xbfa47dd8}}}, {g_type = 3215228408, data = {{
        v_int = 2676200, v_uint = 2676200, v_long = 2676200, 
        v_ulong = 2676200, v_int64 = 14107163683771880, 
        v_uint64 = 14107163683771880, v_float = 3.75015495e-39, 
        v_double = 1.0078868877586119e-307, v_pointer = 0x28d5e8}, {
        v_int = 2518, v_uint = 2518, v_long = 2518, v_ulong = 2518, 
        v_int64 = 14107283940182486, v_uint64 = 14107283940182486, 
        v_float = 3.52846953e-42, v_double = 1.007910653583081e-307, 
        v_pointer = 0x9d6}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 4
	param_values = (GValue *) 0xbfa47cc0
	node = (SignalNode *) 0x9d26bf8
	i = 2
	n_params = 2
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#20 0x002fe539 in IA__g_signal_emit (instance=0xd13ec50, signal_id=144, 
    detail=2092) at gsignal.c:2241
	var_args = 0xbfa47eec "R\234<"
#21 0x003bdb28 in atk_object_notify_state_change (accessible=0xd13ec50, 
    state=5, value=1) at atkobject.c:997
	name = (const gchar *) 0x3c9c52 "defunct"
#22 0x003bc40d in atk_gobject_accessible_dispose (data=0xd13ec50)
    at atkgobjectaccessible.c:142
	__PRETTY_FUNCTION__ = "atk_gobject_accessible_dispose"
#23 0x002ed871 in weak_refs_notify (data=0xe46c020) at gobject.c:1458
	i = 0
#24 0x0025e3a7 in IA__g_datalist_id_set_data_full (datalist=0x9fd7c70, 
    key_id=436, data=0x0, destroy_func=0) at gdataset.c:242
	__PRETTY_FUNCTION__ = "IA__g_datalist_id_set_data_full"
#25 0x002edf59 in g_object_real_dispose (object=0x9fd7c68) at gobject.c:531
No locals.
#26 0x002ee1ab in IA__g_object_unref (_object=0x9fd7c68) at gobject.c:1757
	object = (GObject *) 0x9fd7c68
	__PRETTY_FUNCTION__ = "IA__g_object_unref"
#27 0x0125ca38 in html_view_find_layout_box () from /usr/lib/libgtkhtml-2.so.0
No symbol table info available.
#28 0x002f8769 in IA__g_cclosure_marshal_VOID__OBJECT (closure=0x9e79ca0, 
    return_value=0x0, n_param_values=2, param_values=0xbfa4823c, 
    invocation_hint=0xbfa4814c, marshal_data=0x125c9a0) at gmarshal.c:636
	data1 = (gpointer) 0x9e6d890
	data2 = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__OBJECT"
#29 0x002ebf0b in IA__g_closure_invoke (closure=0x9e79ca0, return_value=0x0, 
    n_param_values=2, param_values=0xbfa4823c, invocation_hint=0xbfa4814c)
    at gclosure.c:490
	marshal = (
    GClosureMarshal) 0x2f8710 <IA__g_cclosure_marshal_VOID__OBJECT>
	marshal_data = (gpointer) 0x0
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#30 0x002fce83 in signal_emit_unlocked_R (node=0x9e78c38, detail=0, 
    instance=0x9e6d890, emission_return=0x0, instance_and_params=0xbfa4823c)
    at gsignal.c:2438
	tmp = <value optimized out>
	handler = (Handler *) 0x9e760a0
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0xbfa48d44, instance = 0x9e6d890, ihint = {
    signal_id = 296, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
  state = EMISSION_RUN, chain_type = 4}
	class_closure = (GClosure *) 0x9d43ce0
	handler_list = (Handler *) 0x9e760a0
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 296
	max_sequential_handler_number = 4254
	return_value_altered = 0
#31 0x002fe37f in IA__g_signal_emit_valist (instance=0x9e6d890, 
    signal_id=296, detail=0, var_args=0xbfa48480 "à{÷·¸Æ7\016")
    at gsignal.c:2197
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = 3282548, v_long = 3282548, 
    v_int64 = 56739043424212596, v_double = 7.2847353655683356e-305, 
    v_pointer = 0x321674}, {v_int = 2518, v_long = 2518, 
    v_int64 = 56720441917573590, v_double = 7.2659134972471155e-305, 
    v_pointer = 0x9d6}, {v_int = 1, v_long = 1, v_int64 = 56739043420930049, 
    v_double = 7.2847353622469021e-305, v_pointer = 0x1}, {v_int = 3024744, 
    v_long = 3024744, v_int64 = 14107146504251240, 
    v_double = 1.0078834926342278e-307, v_pointer = 0x2e2768}, {v_int = 1, 
    v_long = 1, v_int64 = -4637436958707023871, 
    v_double = -0.04006695747375489, v_pointer = 0x1}, {v_int = 3024744, 
    v_long = 3024744, v_int64 = 14107146504251240, 
    v_double = 1.0078834926342278e-307, v_pointer = 0x2e2768}, {
    v_int = 13211584, v_long = 13211584, v_int64 = -4637436889974335552, 
    v_double = -0.040067434402586866, v_pointer = 0xc997c0}, {
    v_int = 13211600, v_long = 13211600, v_int64 = -4637436752535382064, 
    v_double = -0.040068388076903383, v_pointer = 0xc997d0}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 3282548, data = {{v_int = 170252776, 
      v_uint = 170252776, v_long = 170252776, v_ulong = 170252776, 
      v_int64 = 715937238430898664, v_uint64 = 715937238430898664, 
      v_float = 7.98544463e-33, v_double = 8.0079297434492127e-261, 
      v_pointer = 0xa25d9e8}, {v_int = -1079737288, v_uint = 3215230008, 
      v_long = -1079737288, v_ulong = 3215230008, 
      v_int64 = 13681153385202744, v_uint64 = 13681153385202744, 
      v_float = -1.285285, v_double = 9.2369606643957896e-308, 
      v_pointer = 0xbfa48438}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0xbfa4823c
	stack_values = {{g_type = 163670408, data = {{v_int = 166123664, 
        v_uint = 166123664, v_long = 166123664, v_ulong = 166123664, 
        v_int64 = 166123664, v_uint64 = 166123664, v_float = 5.55741403e-33, 
        v_double = 8.2075995343674238e-316, v_pointer = 0x9e6d890}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 166165352, data = {{v_int = 194217368, v_uint = 194217368, 
        v_long = 194217368, v_ulong = 194217368, v_int64 = 194217368, 
        v_uint64 = 194217368, v_float = 5.68233499e-32, 
        v_double = 9.595612935450705e-316, v_pointer = 0xb938598}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
        v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = 51879429659426816, v_uint64 = 51879429659426816, 
        v_float = 0, v_double = 3.4622518635399345e-305, v_pointer = 0x0}}}, {
    g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
        v_int64 = -4637437577182314496, v_uint64 = 13809306496527237120, 
        v_float = 0, v_double = -0.040062665939331055, v_pointer = 0x0}, {
        v_int = 3283328, v_uint = 3283328, v_long = 3283328, 
        v_ulong = 3283328, v_int64 = 3283328, v_uint64 = 3283328, 
        v_float = 4.60092248e-39, v_double = 1.6221795688286483e-317, 
        v_pointer = 0x321980}}}, {g_type = 0, data = {{v_int = 16777216, 
        v_uint = 16777216, v_long = 16777216, v_ulong = 16777216, 
        v_int64 = 713826244671569920, v_uint64 = 713826244671569920, 
        v_float = 2.3509887e-38, v_double = 6.1025527125362115e-261, 
        v_pointer = 0x1000000}, {v_int = 192424312, v_uint = 192424312, 
        v_long = 192424312, v_ulong = 192424312, v_int64 = 192424312, 
        v_uint64 = 192424312, v_float = 4.77942602e-32, 
        v_double = 9.5070241983837527e-316, v_pointer = 0xb782978}}}, {
    g_type = 3283328, data = {{v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = 51869465335300096, 
        v_uint64 = 51869465335300096, v_float = 0, 
        v_double = 3.4572106805792541e-305, v_pointer = 0x0}, {v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
        v_float = 0, v_double = 0, v_pointer = 0x0}}}, {g_type = 0, data = {{
        v_int = 24, v_uint = 24, v_long = 24, v_ulong = 24, 
        v_int64 = 55610188576587800, v_uint64 = 55610188576587800, 
        v_float = 3.36311631e-44, v_double = 6.1425076036938692e-305, 
        v_pointer = 0x18}, {v_int = 238383688, v_uint = 238383688, 
        v_long = 238383688, v_ulong = 238383688, v_int64 = 14101786620424776, 
        v_uint64 = 14101786620424776, v_float = 2.23649969e-30, 
        v_double = 1.0068242388484854e-307, v_pointer = 0xe357248}}}, {
    g_type = 3215229704, data = {{v_int = 24, v_uint = 24, v_long = 24, 
        v_ulong = 24, v_int64 = 1015333326791114776, 
        v_uint64 = 1015333326791114776, v_float = 3.36311631e-44, 
        v_double = 8.6939668720834045e-241, v_pointer = 0x18}, {
        v_int = 12848440, v_uint = 12848440, v_long = 12848440, 
        v_ulong = 12848440, v_int64 = 51869465348148536, 
        v_uint64 = 51869465348148536, v_float = 1.80044992e-38, 
        v_double = 3.4572106870795783e-305, v_pointer = 0xc40d38}}}, {
    g_type = 0, data = {{v_int = 3283328, v_uint = 3283328, v_long = 3283328, 
        v_ulong = 3283328, v_int64 = 4298250624, v_uint64 = 4298250624, 
        v_float = 4.60092248e-39, v_double = 2.123617970534101e-314, 
        v_pointer = 0x321980}, {v_int = 13206257, v_uint = 13206257, 
        v_long = 13206257, v_ulong = 13206257, 
        v_int64 = -9223372032546602255, v_uint64 = 9223372041162949361, 
        v_float = 1.85059077e-38, v_double = -2.1285205488591228e-314, 
        v_pointer = 0xc982f1}}}, {g_type = 66773960, data = {{v_int = 2518, 
        v_uint = 2518, v_long = 2518, v_ulong = 2518, 
        v_int64 = 56720441917573590, v_uint64 = 56720441917573590, 
        v_float = 3.52846953e-42, v_double = 7.2659134972471155e-305, 
        v_pointer = 0x9d6}, {v_int = 32, v_uint = 32, v_long = 32, 
        v_ulong = 32, v_int64 = 56739043420930080, 
        v_uint64 = 56739043420930080, v_float = 4.48415509e-44, 
        v_double = 7.2847353622469334e-305, v_pointer = 0x20}}}, {
    g_type = 2518, data = {{v_int = 13206257, v_uint = 13206257, 
        v_long = 13206257, v_ulong = 13206257, v_int64 = 4308173553, 
        v_uint64 = 4308173553, v_float = 1.85059077e-38, 
        v_double = 2.1285205488591228e-314, v_pointer = 0xc982f1}, {
        v_int = 13210588, v_uint = 13210588, v_long = 13210588, 
        v_ulong = 13210588, v_int64 = 12991176571982812, 
        v_uint64 = 12991176571982812, v_float = 1.85119767e-38, 
        v_double = 8.3868403695343159e-308, v_pointer = 0xc993dc}}}, {
    g_type = 3284576, data = {{v_int = 1, v_uint = 1, v_long = 1, 
        v_ulong = 1, v_int64 = -4637437508462837759, 
        v_uint64 = 13809306565246713857, v_float = 1.40129846e-45, 
        v_double = -0.040063142776489265, v_pointer = 0x1}, {v_int = 3024744, 
        v_uint = 3024744, v_long = 3024744, v_ulong = 3024744, 
        v_int64 = 14107146504251240, v_uint64 = 14107146504251240, 
        v_float = 4.23856912e-39, v_double = 1.0078834926342278e-307, 
        v_pointer = 0x2e2768}}}, {g_type = 13211584, data = {{
        v_int = -1079737544, v_uint = 3215229752, v_long = -1079737544, 
        v_ulong = 3215229752, v_int64 = 56743393143063352, 
        v_uint64 = 56743393143063352, v_float = -1.28525448, 
        v_double = 7.2891366131141437e-305, v_pointer = 0xbfa48338}, {
        v_int = -1079737512, v_uint = 3215229784, v_long = -1079737512, 
        v_ulong = 3215229784, v_int64 = 11494194692784984, 
        v_uint64 = 11494194692784984, v_float = -1.28525829, 
        v_double = 6.9076257316172803e-308, v_pointer = 0xbfa48358}}}, {
    g_type = 3284580, data = {{v_int = 13211600, v_uint = 13211600, 
        v_long = 13211600, v_ulong = 13211600, v_int64 = 14107283953391568, 
        v_uint64 = 14107283953391568, v_float = 1.85133948e-38, 
        v_double = 1.0079106561935424e-307, v_pointer = 0xc997d0}, {
        v_int = 3282548, v_uint = 3282548, v_long = 3282548, 
        v_ulong = 3282548, v_int64 = 731028825629136500, 
        v_uint64 = 731028825629136500, v_float = 4.59982947e-39, 
        v_double = 8.5916935569011051e-260, v_pointer = 0x321674}}}, {
    g_type = 170251872, data = {{v_int = -1079737464, v_uint = 3215229832, 
        v_long = -1079737464, v_ulong = 3215229832, 
        v_int64 = 13679190585148296, v_uint64 = 13679190585148296, 
        v_float = -1.28526402, v_double = 9.2330816560895573e-308, 
        v_pointer = 0xbfa48388}, {v_int = 3284576, v_uint = 3284576, 
        v_long = 3284576, v_ulong = 3284576, v_int64 = 38657990240, 
        v_uint64 = 38657990240, v_float = 4.6026713e-39, 
        v_double = 1.9099584914850205e-313, v_pointer = 0x321e60}}}, {
    g_type = 13206257, data = {{v_int = 162995352, v_uint = 162995352, 
        v_long = 162995352, v_ulong = 162995352, v_int64 = 309400640664, 
        v_uint64 = 309400640664, v_float = 4.40825369e-33, 
        v_double = 1.5286422735335461e-312, v_pointer = 0x9b71c98}, {
        v_int = 2518, v_uint = 2518, v_long = 2518, v_ulong = 2518, 
        v_int64 = 56720441917573590, v_uint64 = 56720441917573590, 
        v_float = 3.52846953e-42, v_double = 7.2659134972471155e-305, 
        v_pointer = 0x9d6}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 4
	param_values = (GValue *) 0xbfa48250
	node = (SignalNode *) 0x9e78c38
	i = 1
	n_params = 1
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#32 0x002fe539 in IA__g_signal_emit (instance=0x9e6d890, signal_id=296, 
    detail=0) at gsignal.c:2241
	var_args = 0xbfa4847c "\230\205\223\và{÷·¸Æ7\016"
#33 0x0122f28b in html_document_clear () from /usr/lib/libgtkhtml-2.so.0
No symbol table info available.
#34 0x0077dc91 in initgtkhtml2 ()
   from /usr/lib/python2.4/site-packages/gtk-2.0/gtkhtml2.so
No symbol table info available.
#35 0x046d683a in ?? ()
No symbol table info available.
#36 0xb79fea2c in ?? ()
No symbol table info available.
#37 0x00000000 in ?? ()
No symbol table info available.
#0  0x00735402 in __kernel_vsyscall ()
Comment 1 John Dennis 2008-01-09 19:02:16 EST
I'm pretty sure this is a gtk issue of some sort. It's also pretty old. Since I
don't think it has anything to do with setroubleshoot I'm reassigning and
changing the component.
Comment 2 Bug Zapper 2008-04-04 00:48:49 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:52:38 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.